<%@ page language="vb" runat="server"%>
<script  runat=server>
	Public Class Ball
		Private _Color as String
		Private _Shape as String
		Private _Texture as String
		Private _Motion as String = "Still" 
		
		Public Property Color as String
			Get
				Return _Color
			End Get
			Set
				_Color = value
			End Set
		End Property
		
		Public Property Shape as String
			Get
				Return _Shape
			End Get
			Set
				_Shape = value
			End Set
		End Property
		
		Public Property Texture as String
			Get
				Return _Texture
			End Get
			Set
				_Texture = value
			End Set
		End Property
		
		Public ReadOnly Property Motion as String
			Get
				Return _Motion
			End Get			
		End Property
		
		Public Sub Roll(Strength as String)
			If _Motion = "Still" then
				If Strength = "Soft" then _Motion = "Rolling Softly"
				If Strength = "Medium" then _Motion = "Rolling Medium"
				If Strength = "Hard" then _Motion = "Rolling Hard"
			End if
		End Sub
	End Class
	
Sub Page_Load()
	dim objMyBall as New Ball()
	dim objYourBall as New Ball()
	dim objNewRidersBall as New Ball()

	OurLabel.Text += "<u>Before Roll Method</u><br>"
	OurLabel.Text += "MyBall: " & objMyBall.Motion & "<br>"
	OurLabel.Text += "YourBall: " & objYourBall.Motion & "<br>"
	OurLabel.Text += "NewRidersBall: " & objNewRidersBall.Motion & "<br><br>"

	objMyBall.Roll("Soft")
	objYourBall.Roll("Medium")
	objNewRidersBall.Roll("Hard")

	OurLabel.Text += "<u>After Roll Method</u><br>"
	OurLabel.Text += "MyBall: " & objMyBall.Motion & "<br>"
	OurLabel.Text += "YourBall: " & objYourBall.Motion & "<br>"
	OurLabel.Text += "NewRidersBall: " & objNewRidersBall.Motion & "<br><br>"
End Sub	
		
</script>

<html>
<title>Run Ball Method - Different Strengths</title>
<body>
<asp:label id="OurLabel" runat="Server"/>
</body>
</html>


