<%@ page language="cs" runat="server"%>
<script runat=server>
void Page_Load(object sender, EventArgs e) {
	string[] myArray = {"Pumpkin Pie", "Cheesecake", "Ice Cream Sundae", "Cookies"};
	if (!IsPostBack) {
		Dessert.DataSource = myArray;
		Dessert.DataBind();
	}
}
	
void PickDessert(object sender, EventArgs e) {
	Confirmation.InnerText = "You chose: " + Dessert.Value;
	if (Dessert.Value == "Cookies") {
		Confirmation.InnerText += ". These are my favorite too.";
	}
}

void AddNewDessert(object sender, EventArgs e) {
	if (NewDessert.Value != "") { 
		Dessert.Items.Add(NewDessert.Value);
	}
}
</script>
<html>
<head>
<title>HtmlControl Select</title>
</head>
<body>
<form runat=server>
Select a dessert:<br>
<select id="Dessert" runat="server" />
<input type="button" runat="server" Value="Submit" OnServerClick="PickDessert">
<p>
If you don't see <b>your</b> favorite dessert in the list, you can add it:<br>
<input type="text" id="NewDessert" runat="server">
<input type="button" runat="server" Value="Add" OnServerClick="AddNewDessert">
<p>
<span id="Confirmation" runat="server"></span>
</form>
</body>
</html>