<%
dim vName,vAddress,vCity,vState,vZip,vPhone,vEmail,vError
vName=""
vAddress=""
vCity=""
vState=""
vZip=""
vPhone=""
vEmail=""
vError=""

If Request.Form("Submit") <> "" then 
	vName = Request.Form("Name")
	vAddress = Request.Form("Address")
	vCity = Request.Form("City")
	vState = Request.Form("State")
	vZip = Request.Form("Zip")
	vPhone = Request.Form("Phone")
	vEmail = Request.Form("Email")
	
	
	if vName = "" then vError = vError & "Name is a required field<br>"
	if vAddress = "" then vError = vError & "Address is a required field<br>"
	if vCity = "" then vError = vError & "City is a required field<br>"
	if vState = "" then vError = vError & "State is a required field<br>"
	if SSisZipCode(vZip) = False then vError = vError & "Enter a valid Zip Code<br>"
	if SSisPhoneNum(vPhone) = False then vError = vError & "Enter a valid Phone Number<br>"
	if SSisEmail(vEmail) = False then vError = vError & "Enter a valid Email<br>"
	
	If vError = "" then
		vError = "You have filled in the form successfully!!!"
	Else
		vError = "There are problems with your form:<br>" & vError
	End If

End If
	
Function SSisEmail(theField)
	SSisEMail = false
  	Dim regExMail, retValMail
  	Set regExMail = New RegExp
  	regExMail.Pattern ="^[\w-\.]{1,}\@([\da-zA-Z-]{1,}\.){1,}[\da-zA-Z-]{2,3}$" 
  	regExMail.IgnoreCase = true
	retValMail = regExMail.Test(theField)
	Set regExpMail = Nothing	
	If not retValMail Then
    	exit function
  	End If
  	SSisEmail = true
End Function

Function SSisPhoneNum(theField)
	SSisPhoneNum = false
  	Dim regExPh, retValPh
  	Set regExPh = New RegExp
  	regExPh.Pattern ="[0-9]{3}-[0-9]{3}-[0-9]{4}" 
  	retValPh = regExPh.Test(theField)
  	Set regExPh = Nothing
	If not retValPh Then
    	exit function
  	End If
  	SSisPhoneNum = true  
End Function

Function SSisZipCode(theField)
	SSisZipCode = false
  	Dim regExZip, retValZip
  	Set regExZip = New RegExp
  	regExZip.Pattern ="^([0-9]{5}(( |-)[0-9]{4})?)" 
  	retValZip = regExZip.Test(theField)
  	Set regExZip = Nothing
	If not retValZip Then
    	exit function
  	End If
  	SSisZipCode  = true
End Function
%>
<head>
<title>Traditional ASP - Validation</title>
<script language="JavaScript1.2">

function ValidForm(form){
var valid = true
var message="There are problems with your form:";
	if (!isRequired(form.elements["Name"])){
		message += "\n Name is a required field"
		valid= false;
		}
	if (!isRequired(form.elements["Address"])){
		message += "\n Address is a required field"
		valid= false;
	}
	if (!isRequired(form.elements["City"])){
		message += "\n City is a required field"
		valid= false;
	}
	if (!isRequired(form.elements["State"])){
		message += "\n State is a required field"
		valid= false;
	}	
	if (!isZIPCode(form.elements["Zip"])){
		message += "\n Insert a valid Zip code"
		valid= false;
	}
	if (!isPhoneNum(form.elements["Phone"])){
		message += "\n Insert a valid Phone Number"
		valid= false;
	}	
	if (!isEmail(form.elements["Email"])){
		message += "\n Insert a valid Email"
		valid= false;
	}	
	if (!valid){
		alert(message)
		return false
	}
return true
}

function isEmail(theField){
if (!isRequired(theField)) return false;
var filter=/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9])+$/;
	if (filter.test(theField.value)){
		return true;
	}else{
		return false;
	}
}

function isPhoneNum(theField){
if (!isRequired(theField)) return false;
var filter=/\(?\d{3}\)?([-\/\.])\d{3}\1\d{4}/;
	if (filter.test(theField.value)){
		return true;
	}else{
		return false;
	}
}

function isZIPCode(theField){
if (!isRequired(theField)) return false;
var filter=/^\d{5}$|^\d{5}[\-\s]?\d{4}$/;
	if (filter.test(theField.value)){
		return true;
	}else{
		return false;
	}
}

function isRequired(theField){
	return(!theField.value == "")	
}
</script>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<%if vError <> "" then Response.Write vError%>
<form name="form1" method="post" action="trad_validation.asp" >
Name:<input type="text" name="Name" value="<%=vName%>"><br>
Address: <input type="text" name="Address" value="<%=vAddress%>"><br>
City: <input type="text" name="City" value="<%=vCity%>"><br>
State: <input type="text" name="State" value="<%=vState%>"><br>
Zip: <input type="text" name="Zip" value="<%=vZip%>"><br>
Phone: <input type="text" name="Phone" value="<%=vPhone%>"> Format: xxx-xxx-xxxx<br>
Email: <input type="text" name="Email" value="<%=vEmail%>"><br>
<input type="Submit" name="Submit" value="Validate Form" onClick="return ValidForm(this.form)"><br>
</form>
</body>
</html>