<%@ page language="vb" runat="server"%>
<script runat=server>
sub Page_Load(sender as Object, e as EventARgs) 
	if (IsPostBack) then
		Validate()
		if (IsValid) then
			response.redirect("thankyou.aspx")
		end if
	end if
end sub
</script>

<html>
<head>
<title>Validators Summary</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<h3>What's your name and how many widgets do you want?</h3>
You can buy between 1 and 10 widgets.<br>
<table>
<tr><td colspan="2">
<asp:ValidationSummary 
	id="OurValidator" 
	HeaderText="The following errors were found:" 
	DisplayMode="List"
	ShowMessageBox="true"
	runat="server" />
</td></tr>
<tr><td>Name:</td>
<td><asp:TextBox id="Name" runat="server" />
<asp:RequiredFieldValidator 
	id="NameValidator" 
	ControlToValidate="Name" 
	Text="*" 
	ErrorMessage="Name is a required field"
	runat="server" />
</td></tr>
<tr><td># of Widgets</td>
<td><asp:TextBox id="Widgets" runat="server" />
<asp:RequiredFieldValidator 
	id="WidgetReqdValidator" 
	ControlToValidate="Widgets" 
	Text="*" 
	ErrorMessage="Widgets is a required field"
	runat="server" />	
<asp:RangeValidator 
	id="WidgetValidator" 
	ControlToValidate="Widgets" 
	Type="Integer" 
	MinimumValue="1" 
	MaximumValue="10" 
	Text="*" 
	ErrorMessage="# of Widgets must be between 1 and 10" 
	runat="server"/></td>
</tr>
<tr>
<td>&nbsp;</td>
<td><asp:Button runat="server" text="Submit" /></td>
</tr>
</table>
</form>
</body>
</html>