<%@ page language="c#" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.SqlClient"%>
<script runat=server>

void Page_Load(Object sender, EventArgs e) {
	if (!IsPostBack) {
		DataSub();
	}
}

void DataSub() {
	SqlCommand OurCommand;
	SqlConnection OurConnection;
	SqlDataAdapter OurDataAdapter;
	DataSet OurDataSet;
	OurDataSet = new DataSet();
	OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind");
	OurCommand = new SqlCommand("Select ProductName, QuantityPerUnit, UnitPrice, UnitsInStock From Products",OurConnection);
	OurDataAdapter = new SqlDataAdapter(OurCommand);
	OurDataAdapter.Fill(OurDataSet, "Products");
	DataView OurDataTable = new DataView(OurDataSet.Tables["Products"]);
	OurDataGrid.DataSource = OurDataTable;
	OurDataGrid.DataBind();
	OurLabel.Text = "Page " + (OurDataGrid.CurrentPageIndex + 1).ToString() + " of " + (OurDataGrid.PageCount).ToString();
}

void OurPager(Object sender, DataGridPageChangedEventArgs e) {
	OurDataGrid.CurrentPageIndex = e.NewPageIndex;
	DataSub();
}


</script>

<html>
<head>
<title>Web Datagrid</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<h3 style="font-family:Verdana">Our Products</h3>
<ASP:DataGrid id="OurDataGrid"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   Font-Size="12px"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
   AutoGenerateColumns="false" 
	AllowPaging="true" 
	OnPageIndexChanged="OurPager" 
	PageSize="10" 
	PagerStyle-NextPageText="Next" 
	PagerStyle-PrevPageText="Prev"
	PagerStyle-HorizontalAlign="Right"
	runat="server">
	<Columns>
		<asp:BoundColumn 
			HeaderText="Product Name" 
			DataField="ProductName" />
		<asp:BoundColumn 
			HeaderText="Quantity Per Unit" 
			DataField="QuantityPerUnit" />
		<asp:BoundColumn 
			HeaderText="Unit Price" 
			DataField="UnitPrice" DataFormatString="{0:c}"
			ItemStyle-HorizontalAlign="right"  />
		<asp:BoundColumn 
			HeaderText="Stock" 
			DataField="UnitsInStock"
			ItemStyle-HorizontalAlign="center" />
	</Columns>
</ASP:DataGrid>
<asp:Label id="OurLabel" runat="server" />
</form>
</body>
</html>