<%@ page language="vb" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.SQLClient"%>
<script runat=server>

Sub Page_Load(sender As Object, e As EventArgs)
	if Not IsPostBack then
		DataSub
	end if
end sub

Sub DataSub()
	dim OurCommand as SQLCommand
	dim OurConnection as SQLConnection
	dim OurDataAdapter as SQLDataAdapter
	dim OurDataSet as New DataSet()
	OurConnection = New SQLConnection("Server=server;uid=newriders;pwd=password;database=Northwind")
	OurCommand = New SQLCommand("Select ProductName, QuantityPerUnit, UnitPrice, UnitsInStock From Products",OurConnection)
	OurDataAdapter = New SQLDataAdapter(OurCommand)
	OurDataAdapter.Fill(OurDataSet, "Products")
	dim OurDataTable as New DataView(OurDataSet.Tables("Products"))
	OurDataGrid.DataSource = OurDataTable
	OurDataGrid.DataBind()
	OurLabel.Text = "Page " & (OurDataGrid.CurrentPageIndex + 1) & " of " & (OurDataGrid.PageCount)
End Sub

Sub OurPager(sender As Object, e As DataGridPageChangedEventArgs)
	OurDataGrid.CurrentPageIndex = e.NewPageIndex
	DataSub()
end sub

</script>

<html>
<head>
<title>Web Datagrid</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<h3 style="font-family:Verdana">Our Products</h3>
<ASP:DataGrid id="OurDataGrid"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   Font-Size="12px"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
   AutoGenerateColumns="false" 
	AllowPaging="true" 
	OnPageIndexChanged="OurPager" 
	PageSize="10" 
	PagerStyle-NextPageText="Next" 
	PagerStyle-PrevPageText="Prev"
	PagerStyle-HorizontalAlign="Right"
	runat="server">
	<Columns>
		<asp:BoundColumn 
			HeaderText="Product Name" 
			DataField="ProductName" />
		<asp:BoundColumn 
			HeaderText="Quantity Per Unit" 
			DataField="QuantityPerUnit" />
		<asp:BoundColumn 
			HeaderText="Unit Price" 
			DataField="UnitPrice" DataFormatString="{0:c}"
			ItemStyle-HorizontalAlign="right"  />
		<asp:BoundColumn 
			HeaderText="Stock" 
			DataField="UnitsInStock"
			ItemStyle-HorizontalAlign="center" />
	</Columns>
</ASP:DataGrid>
<asp:Label id="OurLabel" runat="server" />
</form>
</body>
</html>