<%@ page language="c#" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.SqlClient"%>
<script runat=server>
void Page_Load(Object sender, EventArgs e) {
	if (!IsPostBack) {
		DataSub();
	}
	if (Request.Params["Product"] != null) {
		OurLabel.Text = "You Chose: " + Request.Params["Product"];
	}
}

void DataSub() {
	SqlCommand OurCommand;
	SqlConnection OurConnection;
	SqlDataAdapter OurDataAdapter;
	DataSet OurDataSet;
	OurDataSet = new DataSet();
	OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind");
	OurCommand = new SqlCommand("Select Top 10 ProductName, QuantityPerUnit, UnitPrice, UnitsInStock From Products",OurConnection);
	OurDataAdapter = new SqlDataAdapter(OurCommand);
	OurDataAdapter.Fill(OurDataSet, "Products");
	DataView OurDataTable = new DataView(OurDataSet.Tables["Products"]);
	OurDataGrid.DataSource = OurDataTable;
	OurDataGrid.DataBind();
}
</script>

<html>
<head>
<title>Web Datagrid</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<h3 style="font-family:Verdana">Our Products</h3>
<ASP:DataGrid id="OurDataGrid"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   Font-Size="12px"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
	AutoGenerateColumns="false"
	runat="server">
	<Columns>
		<asp:HyperLinkColumn 
			HeaderText="Product Name" 
			DataNavigateUrlFormatString="web_datagridcolumns_vb.aspx?Product={0}" 
			DataNavigateUrlField="ProductName" 
			DataTextField="ProductName" />
		<asp:BoundColumn 
			HeaderText="Quantity Per Unit" 
			DataField="QuantityPerUnit" />
		<asp:BoundColumn 
			HeaderText="Unit Price" 
			DataField="UnitPrice" 
			DataFormatString="{0:c}"
			ItemStyle-HorizontalAlign="Center"  />
		<asp:BoundColumn 
			HeaderText="Stock" 
			DataField="UnitsInStock"
			ItemStyle-HorizontalAlign="Center" />
	</Columns>
</ASP:DataGrid>
<asp:Label id="OurLabel" runat="server" />
</body>
</html>