<%@ page language="vb" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.SQLClient"%>
<script runat=server>

dim OurSortField as string

Sub Page_Load(sender As Object, e As EventArgs)
	if Not IsPostBack then
		DataSub
	end if
end sub

Sub DataSub()
	dim OurCommand as SQLCommand
	dim OurConnection as SQLConnection
	dim OurDataAdapter as SQLDataAdapter
	dim OurDataSet as New DataSet()
	OurConnection = New SQLConnection("Server=server;uid=newriders;pwd=password;database=Northwind")
	OurCommand = New SQLCommand("Select Top 10 ProductName, QuantityPerUnit, UnitPrice, UnitsInStock From Products",OurConnection)
	OurDataAdapter = New SQLDataAdapter(OurCommand)
	OurDataAdapter.Fill(OurDataSet, "Products")
	dim OurDataTable as New DataView(OurDataSet.Tables("Products"))
	if OurSortField <> "" Then 
		OurDataTable.Sort = OurSortField
	end if
	OurDataGrid.DataSource = OurDataTable
	OurDataGrid.DataBind()
End Sub

Sub DataSort(sender As Object, e As DataGridSortCommandEventArgs)
	OurLabel.Text= "You sorted by " + e.SortExpression.ToString()
	OurSortField = e.SortExpression
	DataSub
End Sub

</script>

<html>
<head>
<title>Web Datagrid</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<h3 style="font-family:Verdana">Our Products</h3>
<ASP:DataGrid id="OurDataGrid"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   Font-Size="12px"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
	AutoGenerateColumns="false"
	AllowSorting="True" 
	OnSortCommand="DataSort"
	runat="server" >
	<Columns>
		<asp:BoundColumn 
			HeaderText="Product Name" 
			DataField="ProductName" 
			SortExpression="ProductName" />
		<asp:BoundColumn 
			HeaderText="Quantity Per Unit" 
			DataField="QuantityPerUnit" />
		<asp:BoundColumn 
			HeaderText="Unit Price" 
			DataField="UnitPrice" 
			DataFormatString="{0:c}" 
			SortExpression="UnitPrice" />
		<asp:BoundColumn 
			HeaderText="Stock" 
			DataField="UnitsInStock" 
			SortExpression="UnitsInStock" />
	</Columns>
</ASP:DataGrid>
<asp:Label id="OurLabel" runat="server" />
</form>
</body>
</html>