<%@ page language="c#" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.SqlClient"%>
<script runat=server>

void Page_Load() {
	if (IsPostBack) {
		Update();
	}
	DataSub();
}

void DataSub()	{
	SqlConnection OurConnection;
	SqlCommand OurCommand;
	SqlDataAdapter OurDataAdapter;
	DataSet OurDataSet = new DataSet();
	OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind");
	OurCommand = new SqlCommand("Select Top 5 ProductID, ProductName, UnitPrice From Products",OurConnection);
	OurDataAdapter = new SqlDataAdapter(OurCommand);
	OurDataAdapter.Fill(OurDataSet, "Products");
	OurDataGrid.DataSource = OurDataSet.Tables["Products"];
	DataBind();
	ProductName1.Text = OurDataSet.Tables["Products"].Rows[0]["ProductName"].ToString();
	UnitPrice1.Text = OurDataSet.Tables["Products"].Rows[0]["UnitPrice"].ToString();
	ProductName2.Text = OurDataSet.Tables["Products"].Rows[1]["ProductName"].ToString();
	UnitPrice2.Text = OurDataSet.Tables["Products"].Rows[1]["UnitPrice"].ToString();
	ProductName3.Text = OurDataSet.Tables["Products"].Rows[2]["ProductName"].ToString();
	UnitPrice3.Text = OurDataSet.Tables["Products"].Rows[2]["UnitPrice"].ToString();
	ProductName4.Text = OurDataSet.Tables["Products"].Rows[3]["ProductName"].ToString();
	UnitPrice4.Text = OurDataSet.Tables["Products"].Rows[3]["UnitPrice"].ToString();
	ProductName5.Text = OurDataSet.Tables["Products"].Rows[4]["ProductName"].ToString();
	UnitPrice5.Text = OurDataSet.Tables["Products"].Rows[4]["UnitPrice"].ToString();

}

void Update() {
	SqlConnection OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind");
	SqlCommand OurCommand = new SqlCommand("Select Top 5 ProductID, ProductName, UnitPrice From Products",OurConnection);
	SqlDataAdapter OurDataAdapter = new SqlDataAdapter(OurCommand);
	DataSet OurDataSet = new DataSet();
	DataTable OurTable;
	OurDataAdapter.Fill(OurDataSet, "Products");
	OurDataAdapter.UpdateCommand = new SqlCommand("Update Products Set ProductName = @ProductName, UnitPrice = @UnitPrice Where ProductID = @ProductID", OurConnection);
	OurDataAdapter.UpdateCommand.Parameters.Add("@ProductName", SqlDbType.VarChar, 40, "ProductName");
	OurDataAdapter.UpdateCommand.Parameters.Add("@UnitPrice", SqlDbType.Money, 8, "UnitPrice");
	OurDataAdapter.UpdateCommand.Parameters.Add("@ProductID", SqlDbType.Int, 4, "ProductID");
	OurTable = OurDataSet.Tables["Products"];
	OurTable.Rows[0]["ProductName"] = ProductName1.Text;
	OurTable.Rows[0]["UnitPrice"] = UnitPrice1.Text;
	OurTable.Rows[1]["ProductName"] = ProductName2.Text;
	OurTable.Rows[1]["UnitPrice"] = UnitPrice2.Text;
	OurTable.Rows[2]["ProductName"] = ProductName3.Text;
	OurTable.Rows[2]["UnitPrice"] = UnitPrice3.Text;
	OurTable.Rows[3]["ProductName"] = ProductName4.Text;
	OurTable.Rows[3]["UnitPrice"] = UnitPrice4.Text;
	OurTable.Rows[4]["ProductName"] = ProductName5.Text;
	OurTable.Rows[4]["UnitPrice"] = UnitPrice5.Text;
	OurDataAdapter.Update(OurTable);
}
</script>
<html>
<head>
<title>ADO DataAdapter Update() Method</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<ASP:DataGrid id="OurDataGrid"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   Font-Size="12px"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
	AutoGenerateColumns="false"
	runat="server">
	<Columns>
		<asp:BoundColumn 
			HeaderText="Product ID" 
			DataField="ProductID"
			ReadOnly="True" />
		<asp:BoundColumn 
			HeaderText="Product Name" 
			DataField="ProductName" />
		<asp:BoundColumn 
			HeaderText="Unit Price" 
			DataField="UnitPrice" 
			DataFormatString="{0:c}"/>
	</Columns>
</asp:DataGrid>
<table>
<tr>
<td>Product Name</td>
<td>Unit Price</td>
</tr>
<tr>
<td><asp:TextBox id="ProductName1" runat="server" /></td>
<td><asp:TextBox id="UnitPrice1" runat="server" /></td>
</tr>
<tr>
<td><asp:TextBox id="ProductName2" runat="server" /></td>
<td><asp:TextBox id="UnitPrice2" runat="server" /></td>
</tr>
<tr>
<td><asp:TextBox id="ProductName3" runat="server" /></td>
<td><asp:TextBox id="UnitPrice3" runat="server" /></td>
</tr>
<tr>
<td><asp:TextBox id="ProductName4" runat="server" /></td>
<td><asp:TextBox id="UnitPrice4" runat="server" /></td>
</tr>
<tr>
<td><asp:TextBox id="ProductName5" runat="server" /></td>
<td><asp:TextBox id="UnitPrice5" runat="server" /></td>
</tr>
</table>
<asp:Button id="Submit" text="Submit" runat="server" />
</form>
</body>
</html>