<%@ page language="c#" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.OleDb"%>
<script runat=server>
void Page_Load() {
	
	OleDbConnection OurConnection;
	OleDbCommand OurCommand, OurCommand2;
	OleDbDataAdapter OurDataAdapter, OurDataAdapter2;
	DataSet OurDataSet = new DataSet();
	DataColumn OurDataColumn, OurDataColumn2;
	DataRelation OurDataRelation;

	OurConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\\websites\\book\\_database\\northwind.mdb");
	OurCommand = new OleDbCommand("Select Top 10 ProductName, QuantityPerUnit, UnitPrice, UnitsInStock, CategoryID From Products",OurConnection);
	OurCommand2 = new OleDbCommand("Select CategoryName,Description, CategoryID From Categories",OurConnection);
	OurDataAdapter = new OleDbDataAdapter(OurCommand);
	OurDataAdapter2 = new OleDbDataAdapter(OurCommand2);
	OurDataAdapter.Fill(OurDataSet, "Products");
	OurDataAdapter2.Fill(OurDataSet, "Categories");
	OurDataColumn = OurDataSet.Tables["Products"].Columns["CategoryID"];
	OurDataColumn2 = OurDataSet.Tables["Categories"].Columns["CategoryID"];
	OurDataRelation = new DataRelation("ProductCategories", OurDataColumn2, OurDataColumn);
	OurDataSet.Relations.Add(OurDataRelation);
	
	foreach(DataRow Category in OurDataSet.Tables["Categories"].Rows) {
		OurLabel.Text += Category["CategoryName"].ToString() + "<BR>";
		OurLabel.Text += "<UL>";
		foreach(DataRow Product in Category.GetChildRows(OurDataSet.Relations["ProductCategories"])) {
			OurLabel.Text += "<LI>" + Product["ProductName"].ToString() + "<BR>";
		}
		OurLabel.Text +="</UL>";
		
	}
	
}

</script>
<html>
<head>
<title>ADO DataSet</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<asp:Label id="OurLabel" runat="server" />
</body>
</html>