<%@ page language="c#" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.SqlClient"%>
<script runat=server>
void Page_Load() {
	
	SqlConnection OurConnection;
	SqlCommand OurCommand, OurCommand2;
	SqlDataAdapter OurDataAdapter, OurDataAdapter2;
	DataSet OurDataSet = new DataSet();
	DataColumn OurDataColumn, OurDataColumn2;
	DataRelation OurDataRelation;
	DataRow[] ArrRows;

	OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind");
	OurCommand = new SqlCommand("Select Top 10 ProductName, QuantityPerUnit, UnitPrice, UnitsInStock, CategoryID From Products",OurConnection);
	OurCommand2 = new SqlCommand("Select CategoryName,Description, CategoryID From Categories",OurConnection);
	OurDataAdapter = new SqlDataAdapter(OurCommand);
	OurDataAdapter2 = new SqlDataAdapter(OurCommand2);
	OurDataAdapter.Fill(OurDataSet, "Products");
	OurDataAdapter2.Fill(OurDataSet, "Categories");
	OurDataColumn = OurDataSet.Tables["Products"].Columns["CategoryID"];
	OurDataColumn2 = OurDataSet.Tables["Categories"].Columns["CategoryID"];
	OurDataRelation = new DataRelation("ProductCategories", OurDataColumn2, OurDataColumn);
	OurDataSet.Relations.Add(OurDataRelation);
	
	foreach(DataRow Category in OurDataSet.Tables["Categories"].Rows) {
		ArrRows=Category.GetChildRows(OurDataSet.Relations["ProductCategories"]);
		if (ArrRows.Length > 0){
			OurLabel.Text += "<u><b>" + Category["CategoryName"] + "</b></u><br>";
			OurLabel.Text += "<ul>";
			foreach(DataRow Product in ArrRows) {
				OurLabel.Text += "<li>" + Product["ProductName"] + "</li><br>";
			}
			OurLabel.Text +="</ul>";
		}		
	}	
}

</script>
<html>
<head>
<title>ADO DataRelation</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<asp:Label 
	id="OurLabel" 
	font-name="verdana"
	font-size="11px"
	runat="server" />
</body>
</html>