<%@ page language="c#" runat="server" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat=server>
void Page_Load() {
	if (!IsPostBack) {
		LoadData();
	}
}

void LoadData() {
	SqlConnection OurConnection;
	SqlCommand OurCommand;
	SqlDataAdapter OurDataAdapter;
	DataSet OurDataSet = new DataSet();
	
	OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind");
	OurConnection.Open();
	OurCommand = new SqlCommand("Select Top 15 EmployeeID,FirstName,LastName from Employees" ,OurConnection);
	OurDataAdapter = new SqlDataAdapter(OurCommand);
	OurDataAdapter.Fill(OurDataSet, "Employees");
	OurDataGrid.DataSource=OurDataSet.Tables["Employees"];
	UpdateEmployeeID.DataSource=OurDataSet.Tables["Employees"];
	DeleteEmployeeID.DataSource=OurDataSet.Tables["Employees"];
	DataBind();
	
		
}

void UpdateSetup(Object sender, EventArgs e) {

	String SelectedID = UpdateEmployeeID.SelectedItem.Value;
	SqlConnection OurConnection;
	SqlCommand OurCommand;
	SqlDataReader OurDataReader2;
	
	UpdateSelect.Visible=false;
	UpdateTextBoxes.Visible=true;
	UpdateButton.CommandArgument = SelectedID;
	
	OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind");
	OurConnection.Open();
	OurCommand = new SqlCommand("Select FirstName, LastName From Employees Where EmployeeID = " + SelectedID ,OurConnection);
	OurDataReader2 = OurCommand.ExecuteReader();
	OurDataReader2.Read();
	UpdateFirstName.Text = OurDataReader2["FirstName"].ToString();
	UpdateLastName.Text = OurDataReader2["LastName"].ToString();
	OurConnection.Close();
	OurDataReader2.Close();
	
	LoadData();
}

void UpdateReset(Object sender, EventArgs e) {
	UpdateSelect.Visible=true;
	UpdateTextBoxes.Visible=false;
	LoadData();
}

void Products_Function(Object sender, System.Web.UI.WebControls.CommandEventArgs e) {
	String Action = e.CommandName;
	String FirstName;
	String LastName;
	int EmployeeID = 0;
	FirstName = "";
	LastName = "";
	
	switch (Action.ToLower()) {
	case "insert":
		FirstName = InsertFirstName.Text;
		LastName = InsertLastName.Text;
		break;
	case "update":
		FirstName = UpdateFirstName.Text;
		LastName = UpdateLastName.Text;
		EmployeeID = Int32.Parse(e.CommandArgument.ToString());
		break;
	case "delete":
		EmployeeID = Int32.Parse(DeleteEmployeeID.SelectedItem.Value);
		break;
	default:
		break;
	}
	
	SqlConnection OurConnection;
	SqlCommand OurCommand;
	OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind");
	OurCommand = new SqlCommand("Products_IUD",OurConnection);
	OurCommand.CommandType = CommandType.StoredProcedure;
	OurCommand.Parameters.Add("@Action", SqlDbType.VarChar, 10).Value = Action;
	OurCommand.Parameters.Add("@FirstName", SqlDbType.VarChar, 10).Value = FirstName;
	OurCommand.Parameters.Add("@LastName", SqlDbType.VarChar, 20).Value = LastName;
	OurCommand.Parameters.Add("@Return", SqlDbType.Float).Direction = ParameterDirection.Output;
	OurConnection.Open();
	OurCommand.ExecuteNonQuery();
	OurConnection.Close();
	LoadData();
}

</script>
<html>
<head>
<title>ADO SqlCommand -Insert,Update,Delete</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<table border="0" cellpadding="0" cellspacing="20">
<tr><td>
<ASP:DataGrid 
	id="OurDataGrid" 
	EnableViewState="false"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
	runat="server" />
</td><td>
<h4>Insert</h4>
First Name: <asp:TextBox id="InsertFirstName" runat="server" /><br>
Last Name: <asp:TextBox id="InsertLastName" runat="server" />
<asp:button 
	OnCommand="Products_Function"
	CommandName="Insert" 
	text="voidmit" 
	runat="server" /><br><br>
<hr style="height:1px">
<h4>Update</h4>
<asp:Panel id="UpdateSelect" runat="server" >
EmployeeID:
<asp:DropDownList 
	id="UpdateEmployeeID" 
	DataTextField="EmployeeID"
	DataValueField="EmployeeID"
	runat="server" />
<asp:button runat="server" text="Select" OnClick="UpdateSetup" />
</asp:Panel>
<asp:Panel id="UpdateTextBoxes" Visible="false" runat="server" >
First Name: <asp:TextBox id="UpdateFirstName" runat="server" />
<asp:button 
	id="UpdateButton" 
	onCommand="Products_Function"
	CommandName="Update"
	runat="server"  
	text="Update" /><br>
Last Name: <asp:TextBox id="UpdateLastName"  runat="server" />
<asp:button id="CancelUpdateButton" runat="server" onClick="UpdateReset" text="Select Other" />
</asp:Panel><br>

<hr style="height:1px">
<h4>Delete</h4>
EmployeeID: 
<asp:DropDownList 
	id="DeleteEmployeeID" 
	DataTextField="EmployeeID"
	DataValueField="EmployeeID"
	runat="server" />
<asp:button 
	onCommand="Products_Function"
	CommandName="Delete"
	text="Delete" 
	runat="server" />
</td></tr>
</table>
</form>
</body>
</html>