<%@ page language="vb" runat="server"%>
<script runat=server>

Sub Authorize(Sender As [Object], e As EventArgs)
   If FormsAuthentication.Authenticate(Username.Text, Password.Text) Then
      Dim cookie As HttpCookie = FormsAuthentication.GetAuthCookie(Username.Text, PersistCookie.Checked)
      cookie.Expires = DateTime.Now.AddDays(14)
      Response.Cookies.Add(cookie)
      Response.Redirect(FormsAuthentication.GetRedirectUrl(Username.Text, PersistCookie.Checked))
   Else
      OurLabel.Text = "This login doesn't exist"
   End If
End Sub 'Authorize

</script>

<html>
<head>
<title>Login</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<h3>Login Page</h3>
<asp:textbox id="Username" runat="server" /> Username<br>
<asp:textbox id="Password" runat="server" /> 
Password <br>
<asp:checkbox id="PersistCookie" runat="server" />
Save your login status<br><br>
<asp:button text="Login" onClick="Authorize" runat="server" /><br><br>
<asp:Label id="OurLabel" EnableViewState="False" runat="server" />
</form>
</body>
</html>