<%@ page language="vb" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.SqlClient" %>
<script runat=server>

Sub Authenticate(Sender As [Object], e As EventArgs)
   Dim Login_ID As Integer = DBAuthenticate(Username.Text, Password.Text)
   If Login_ID > 0 Then
      OurLabel.Text = "This is a valid login"
   Else
      OurLabel.Text = "This login doesn't exist"
   End If
End Sub 


Function DBAuthenticate(username As String, password As String) As Integer
   
   Dim OurConnection As SqlConnection
   Dim OurCommand As SqlCommand
   Dim OurDataReader As SqlDataReader
   
   
   OurConnection = New SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind")
   OurCommand = New SqlCommand("spLogin", OurConnection)
   OurCommand.CommandType = CommandType.StoredProcedure
   OurCommand.Parameters.Add("@Username", SqlDbType.VarChar, 50).Value = username
   OurCommand.Parameters.Add("@Password", SqlDbType.VarChar, 50).Value = password
   OurCommand.Parameters.Add("@Login_ID", SqlDbType.Int).Direction = ParameterDirection.Output
   OurConnection.Open()
   OurCommand.ExecuteNonQuery()
   Dim Login_ID As Integer = CInt(OurCommand.Parameters("@Login_ID").Value)
   OurConnection.Close()
   
   Return Login_ID
End Function 

</script>

<html>
<head>
<title>Login</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<h3>Login</h3>
<asp:textbox id="Username" runat="server" /> Username<br>
<asp:textbox id="Password" runat="server" /> 
Password <br><br>
<asp:button text="Login" onClick="Authenticate" runat="server" /><br><br>
<asp:Label id="OurLabel" EnableViewState="False" runat="server" /><br>
</form>
</body>
</html>