<%@ page language="c#" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Xml"%>
<%@ Import Namespace="System.Xml.Xsl"%>
<script runat=server>
void Page_Load() {
	XmlDocument OurXmlDocument = new XmlDocument();
	XslTransform OurXslTransform = new XslTransform();
	OurXmlDocument.Load(Server.MapPath("products.xml"));
	OurXslTransform.Load(Server.MapPath("products.xsl"));
	OurXml.Transform = OurXslTransform;
	if (IsPostBack) {
		DataSet OurDataSet = new DataSet();	
		XmlNodeReader OurXmlReader = new XmlNodeReader(OurXmlDocument);
		OurDataSet.ReadXml(OurXmlReader);
		DataRow OurDataRow = OurDataSet.Tables["Product"].NewRow();
		OurDataRow["ProductID"] = ProductID.Text;
		OurDataRow["ProductName"] = ProductName.Text;
		OurDataRow["Supplier"] = Supplier.Text;
		OurDataRow["CategoryName"] = Category.Text;
		OurDataRow["UnitPrice"] = UnitPrice.Text;
		OurDataRow["UnitsInStock"] = UnitsInStock.Text;
		OurDataSet.Tables["Product"].Rows.Add(OurDataRow);
		OurDataSet.AcceptChanges();
		OurDataSet.WriteXml(Server.MapPath("products.xml"));
		XmlDataDocument OurXmlDataDocument = new XmlDataDocument(OurDataSet);
		OurXml.Document = OurXmlDataDocument;
	}
	else {
		OurXml.Document = OurXmlDocument;
	}
}

</script>

<html>
<body>
<asp:xml id="OurXml" runat="server" EnableViewState="false"/>
<br>
<form runat="server">
<table>
<tr><td>ProductID</td>
<td><asp:TextBox id="ProductID" runat="server"/></td></tr>
<tr><td>Product Name</td>
<td><asp:TextBox id="ProductName" runat="server"/></td></tr>
<tr><td>Supplier</td>
<td><asp:TextBox id="Supplier" runat="server"/></td></tr>
<tr><td>Category</td>
<td><asp:TextBox id="Category" runat="server"/></td></tr>
<tr><td>Unit Price</td>
<td><asp:TextBox id="UnitPrice" runat="server"/></td></tr>
<tr><td>Units In Stock</td>
<td><asp:TextBox id="UnitsInStock" runat="server"/></td></tr>
</table>
<asp:Button id="Submit" text="Submit" runat="server"/>
</form>
</body>
</html>