<%@ Import Namespace="System.IO" %>
<script language="c#" runat="server">
void UploadFile(object sender, EventArgs e) {
	string TheFile = FileBox.PostedFile.FileName;
	if (TheFile.Length > 0) {
		string FileType = FileBox.PostedFile.ContentType;
		int FileSize = FileBox.PostedFile.ContentLength;
		if (FileType != "image/jpeg" & FileType != "image/pjpeg") {
			OurSpan.InnerHtml = "You can <b>Only Upload Jpegs.</b> Got It?";
		}
		else if (FileSize > 20000) { 
			OurSpan.InnerHtml = "You can't upload a file bigger than 20k. Yours was bigger.";
		}
		else {
 			string filepath = Server.MapPath("") + "\\uploadedfiles\\";
 			string filename = TheFile.Substring(TheFile.LastIndexOf("\\")+1);
 			string fullpath = filepath + filename;
 	 		try {
 				FileBox.PostedFile.SaveAs(fullpath);
 				OurSpan.InnerHtml = "A file named <b>" + filename + "</b> was uploaded successfully<br>";
	 			OurSpan.InnerHtml += "It was uploaded to the <b>" + filepath + "</b> directory";
	 		}
 			catch (Exception Exc) {
 				OurSpan.InnerHtml = "Error saving file <b>" + filename + "</b><br>" + Exc.ToString();
 			}
 		}
 		
 	}
	else { 
 		OurSpan.InnerText = "Please specify a file to upload";
	}

}
</script>
<html>
<head>
<title>Html InputFile</title>
</head>
<body>
<form enctype="multipart/form-data" runat="server">
Upload a JPEG Image under 20k<br>
<input id="FileBox" type="file" runat="server"><br>
<input type=button id="btn_Submit" value="Upload" OnServerClick="UploadFile" runat="server">
<br><span id="OurSpan" runat="server" />
</form>
</body>
</html>