<%@ page language="c#" runat="server"%>
<script  runat=server>
void Page_Load(object sender, EventArgs e)
{
	int[] OurArray  = {0,1,2,3,5,6,7,8,9,10};
	string[] OurColorArray = {"Red", "Blue", "Green", "Orange", "Cyan"};
	if (!IsPostBack) {
		OurCellPaddingSelect.DataSource = OurArray;
		OurCellSpacingSelect.DataSource = OurArray;
		OurBorderSelect.DataSource = OurArray;
		OurBgColorSelect.DataSource = OurColorArray;
		OurBorderColorSelect.DataSource = OurColorArray;
		DataBind();
	}
	else {
		OurTable.CellSpacing = int.Parse(OurCellSpacingSelect.Value);
		OurTable.CellPadding = int.Parse(OurCellPaddingSelect.Value);
		OurTable.Border = int.Parse(OurBorderSelect.Value);
		OurTable.BgColor = OurBgColorSelect.Value;
		OurTable.BorderColor = OurBorderColorSelect.Value;
		if (OurCheckBox.Checked) {
			HtmlTableCell cell;
			HtmlTableRow row;
			row = new HtmlTableRow();
			cell = new HtmlTableCell();
			cell.InnerText = "Pie";
			row.Cells.Add(cell);
			cell = new HtmlTableCell();
			cell.InnerText = "Cookies";
			row.Cells.Add(cell);
			cell = new HtmlTableCell();
			cell.InnerText = "Ice Cream";
			row.Cells.Add(cell);
			OurTable.Rows.Add(row);
		}
		
		
	}
}
	
</script>
<html>
<head>
<title>HtmlControl Table</title>
</head>
<body>
<form runat=server>
<table>
<tr>
<td>Table Cell Padding:</td>
<td><select id="OurCellPaddingSelect" runat="server" /></td>
</tr>
<tr>
<td>Table Cell Spacing:</td>
<td><select id="OurCellSpacingSelect" runat="server" /></td>
</tr>
<tr>
<td>Table Borders:</td>
<td><select id="OurBorderSelect" runat="server" /></td>
</tr>
<tr>
<td>Table BG Color:</td>
<td><select id="OurBgColorSelect" runat="server" /></td>
</tr>
<tr>
<td>Table Border Color:</td>
<td><select id="OurBorderColorSelect" runat="server" /></td>
</tr>
<tr>
<td>Insert Row:</td>
<td><input type="checkbox" runat="server" id="OurCheckBox" /></td>
</tr>
<tr>
<td colspan="2"><input type="submit" value="Submit" runat="server" /></td>
</tr>
</table>
<br><br>
<table width="400" id="OurTable" runat="server">
<tr>
<td>Cell 1</td>
<td>Cell 2</td>
<td>Cell 3</td>
</tr>
<tr>
<td>Cell 4</td>
<td>Cell 5</td>
<td>Cell 6</td>
</tr>
<tr>
<td>Cell 7</td>
<td>Cell 8</td>
<td>Cell 9</td>
</tr>
</table>
</font>
</form>
</body>
</html>