<%@ page language="c#" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.SqlClient"%>
<script runat=server>

String OurSortField;

void Page_Load(Object sender, EventArgs e) {
	if (!IsPostBack) {
		DataSub();
	}
}

void DataSub() {
	SqlCommand OurCommand;
	SqlConnection OurConnection;
	SqlDataAdapter OurDataAdapter;
	DataSet OurDataSet;
	OurDataSet = new DataSet();
	OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind");
	OurCommand = new SqlCommand("Select Top 10 ProductName, QuantityPerUnit, UnitPrice, UnitsInStock From Products",OurConnection);
	OurDataAdapter = new SqlDataAdapter(OurCommand);
	OurDataAdapter.Fill(OurDataSet, "Products");
	DataView OurDataTable = new DataView(OurDataSet.Tables["Products"]);
	if (OurSortField != null ) {
		OurDataTable.Sort = OurSortField;
	}
	OurDataGrid.DataSource = OurDataTable;
	OurDataGrid.DataBind();
}

void DataSort(Object sender, DataGridSortCommandEventArgs e) {
	OurLabel.Text= "You sorted by " + e.SortExpression.ToString();
	OurSortField = e.SortExpression;
	DataSub();
}

</script>

<html>
<head>
<title>Web Datagrid</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<h3 style="font-family:Verdana">Our Products</h3>
<ASP:DataGrid id="OurDataGrid"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   Font-Size="12px"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
	AutoGenerateColumns="false"
	AllowSorting="True" 
	OnSortCommand="DataSort"
	runat="server" >
	<Columns>
		<asp:BoundColumn 
			HeaderText="Product Name" 
			DataField="ProductName" 
			SortExpression="ProductName" />
		<asp:BoundColumn 
			HeaderText="Quantity Per Unit" 
			DataField="QuantityPerUnit" />
		<asp:BoundColumn 
			HeaderText="Unit Price" 
			DataField="UnitPrice" 
			DataFormatString="{0:c}" 
			SortExpression="UnitPrice" />
		<asp:BoundColumn 
			HeaderText="Stock" 
			DataField="UnitsInStock" 
			SortExpression="UnitsInStock" />
	</Columns>
</ASP:DataGrid>
<asp:Label id="OurLabel" runat="server" />
</form>
</body>
</html>