<%@ page language="c#" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.OleDb"%>
<script runat=server>

void Page_Load() {
	if (!IsPostBack) {
		DataSub();
	}
}

void DataSub() {
	OleDbConnection OurConnection;
	OleDbCommand OurCommand;
	OleDbDataAdapter OurDataAdapter;
	DataSet OurDataSet = new DataSet();
	OurConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\\websites\\book\\_database\\northwind.mdb");
	OurCommand = new OleDbCommand("Select ProductID, ProductName, UnitPrice From Products",OurConnection);
	OurDataAdapter = new OleDbDataAdapter(OurCommand);
	OurDataAdapter.Fill(OurDataSet, "Products");
	OurDataGrid.DataSource = OurDataSet.Tables["Products"];
	DataBind();
}

void Edit(Object sender, DataGridCommandEventArgs e) {
	OurDataGrid.EditItemIndex = e.Item.ItemIndex;
	DataSub();
}

void Cancel(Object sender, DataGridCommandEventArgs e) {
	OurDataGrid.EditItemIndex = -1;
	DataSub();
}

void Update(Object sender, DataGridCommandEventArgs e) {
	OleDbConnection OurConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\\websites\\book\\_database\\northwind.mdb");
	OleDbCommand OurCommand = new OleDbCommand("Select ProductID, ProductName, UnitPrice From Products",OurConnection);
	OleDbDataAdapter OurDataAdapter = new OleDbDataAdapter(OurCommand);
	DataSet OurDataSet = new DataSet();
	OleDbCommandBuilder OurCommandBuilder = new OleDbCommandBuilder(OurDataAdapter);
	DataTable OurDataTable;
	DataRow OurDataRow;
	DataColumn[] PrimaryKeys = new DataColumn[1];
	OurDataAdapter.Fill(OurDataSet, "Products");
	OurDataTable = OurDataSet.Tables["Products"];
	PrimaryKeys[0] = OurDataTable.Columns["ProductID"];
	OurDataTable.PrimaryKey = PrimaryKeys;
	OurDataRow = OurDataTable.Rows.Find(e.Item.Cells[0].Text);
	OurDataRow[1] = (e.Item.Cells[1].Controls[0] as TextBox).Text;
	OurDataRow[2] = Decimal.Parse((e.Item.Cells[2].Controls[0] as TextBox).Text.Replace("$", ""));
	OurDataGrid.EditItemIndex = -1;
	OurDataAdapter.Update(OurDataTable);
	OurDataGrid.DataSource = OurDataTable;
	OurDataGrid.DataBind();
}

void Delete(Object sender, DataGridCommandEventArgs e) {
	OleDbConnection OurConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\\websites\\book\\_database\\northwind.mdb");
	OleDbCommand OurCommand = new OleDbCommand("Select ProductID, ProductName, UnitPrice From Products",OurConnection);
	OleDbDataAdapter OurDataAdapter = new OleDbDataAdapter(OurCommand);
	DataSet OurDataSet = new DataSet();
	OleDbCommandBuilder OurCommandBuilder = new OleDbCommandBuilder(OurDataAdapter);
	DataTable OurDataTable;
	DataRow OurDataRow;
	DataColumn[] PrimaryKeys = new DataColumn[1];
	OurDataAdapter.Fill(OurDataSet, "Products");
	OurDataTable = OurDataSet.Tables["Products"];
	PrimaryKeys[0] = OurDataTable.Columns["ProductID"];
	OurDataTable.PrimaryKey = PrimaryKeys;
	OurDataRow = OurDataTable.Rows.Find(e.Item.Cells[0].Text);
	OurDataRow.Delete();
	OurDataAdapter.Update(OurDataTable);
	OurDataGrid.DataSource = OurDataTable;
	OurDataGrid.DataBind();
}

</script>
<html>
<head>
<title>ADO DataSet</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<ASP:DataGrid id="OurDataGrid"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   Font-Size="12px"
	OnEditCommand="Edit" 
	OnCancelCommand="Cancel" 
	OnUpdateCommand="Update" 
	OnDeleteCommand="Delete"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
	AutoGenerateColumns="false"
	runat="server">
	<Columns>
		<asp:BoundColumn 
			HeaderText="Product ID" 
			DataField="ProductID"
			ReadOnly="True" />
		<asp:BoundColumn 
			HeaderText="Product Name" 
			DataField="ProductName" />
		<asp:BoundColumn 
			HeaderText="Unit Price" 
			DataField="UnitPrice" 
			DataFormatString="{0:c}"/>
		<asp:EditCommandColumn
			HeaderText="Edit"
			EditText="Edit" 
			CancelText="Cancel" 
			UpdateText="Update"/>
		<asp:ButtonColumn
			ButtonType="LinkButton"
			Text="Delete"
			CommandName="Delete" />
	</Columns>
</asp:DataGrid>
</form>
</body>
</html>