<%@ page language="vb" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.OleDb"%>
<script runat=server>

Sub Page_Load()
	If Not IsPostBack Then
		DataSub()	
	End If
End Sub

Sub DataSub()	
	dim OurConnection as OleDbConnection
	dim OurCommand as OleDbCommand
	dim OurDataAdapter as OleDbDataAdapter
	dim OurDataSet as new DataSet()
	OurConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\websites\book\_database\Northwind.mdb")
	OurCommand = new OleDbCommand("Select ProductID, ProductName, UnitPrice From Products",OurConnection)
	OurDataAdapter = new OleDbDataAdapter(OurCommand)
	OurDataAdapter.Fill(OurDataSet, "Products")
	OurDataGrid.DataSource = OurDataSet.Tables("Products")
	DataBind()
End Sub

Sub Edit(sender As Object, e As DataGridCommandEventArgs)
	OurDataGrid.EditItemIndex = e.Item.ItemIndex
	DataSub
End Sub

Sub Cancel(sender As Object, e As DataGridCommandEventArgs)
	OurDataGrid.EditItemIndex = -1
	DataSub
End Sub

Sub Update(sender As Object, e As DataGridCommandEventArgs)
	dim OurConnection as OleDbConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\websites\book\_database\Northwind.mdb")
	dim OurCommand as OleDbCommand = new OleDbCommand("Select ProductID, ProductName, UnitPrice From Products",OurConnection)
	dim OurDataAdapter as OleDbDataAdapter = new OleDbDataAdapter(OurCommand)
	dim OurCommandBuilder as OleDbCommandBuilder = new OleDbCommandBuilder(OurDataAdapter)
	dim OurDataSet as new DataSet() 
	dim OurDataTable as DataTable
	dim OurDataRow as DataRow
	dim PrimaryKeys(1) as DataColumn
	OurDataAdapter.Fill(OurDataSet, "Products")
	OurDataTable = OurDataSet.Tables("Products")
	PrimaryKeys(0) = OurDataTable.Columns("ProductID")
	OurDataTable.PrimaryKey = PrimaryKeys
	OurDataRow = OurDataTable.Rows.Find(e.Item.Cells(0).Text)
	OurDataRow(1) = CType(e.Item.Cells(1).Controls(0), TextBox).Text
	OurDataRow(2) = CType(CType(e.Item.Cells(2).Controls(0), TextBox).Text, Decimal)
	OurDataGrid.EditItemIndex = -1
	OurDataAdapter.Update(OurDataTable)
	OurDataGrid.DataSource = OurDataTable
	OurDataGrid.DataBind()
End Sub

Sub Delete(sender as Object, e as DataGridCommandEventArgs)
	dim OurConnection as OleDbConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\websites\book\_database\Northwind.mdb")
	dim OurCommand as OleDbCommand = new OleDbCommand("Select ProductID, ProductName, UnitPrice From Products",OurConnection)
	dim OurDataAdapter as OleDbDataAdapter = new OleDbDataAdapter(OurCommand)
	dim OurCommandBuilder as OleDbCommandBuilder = new OleDbCommandBuilder(OurDataAdapter)
	dim OurDataSet as new DataSet() 
	dim OurDataTable as DataTable
	dim OurDataRow as DataRow
	dim PrimaryKeys(1) as DataColumn
	OurDataAdapter.Fill(OurDataSet, "Products")
	OurDataTable = OurDataSet.Tables("Products")
	PrimaryKeys(0) = OurDataTable.Columns("ProductID")
	OurDataTable.PrimaryKey = PrimaryKeys
	OurDataRow = OurDataTable.Rows.Find(e.Item.Cells(0).Text)
	OurDataRow.Delete
	OurDataAdapter.Update(OurDataTable)
	OurDataGrid.DataSource = OurDataTable
	OurDataGrid.DataBind()
End Sub

</script>
<html>
<head>
<title>ADO DataSet</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<ASP:DataGrid id="OurDataGrid"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   Font-Size="12px"
	OnEditCommand="Edit" 
	OnCancelCommand="Cancel" 
	OnUpdateCommand="Update" 
	OnDeleteCommand="Delete"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
	AutoGenerateColumns="false"
	runat="server">
	<Columns>
		<asp:BoundColumn 
			HeaderText="Product ID" 
			DataField="ProductID"
			ReadOnly="True" />
		<asp:BoundColumn 
			HeaderText="Product Name" 
			DataField="ProductName" />
		<asp:BoundColumn 
			HeaderText="Unit Price" 
			DataField="UnitPrice" 
			DataFormatString="{0:c}"/>
		<asp:EditCommandColumn
			HeaderText="Edit"
			EditText="Edit" 
			CancelText="Cancel" 
			UpdateText="Update"/>
		<asp:ButtonColumn
			ButtonType="LinkButton"
			Text="Delete"
			CommandName="Delete" />
	</Columns>
</asp:DataGrid>
</form>
</body>
</html>