<%@ page language="vb" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.SqlClient"%>
<script runat=server>

Sub Page_Load()
	If IsPostBack Then
		Update()
	End If
	DataSub()
End Sub

Sub DataSub()	
	dim OurConnection as SqlConnection
	dim OurCommand as SqlCommand
	dim OurDataAdapter as SqlDataAdapter
	dim OurDataSet as new DataSet()
	OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind")
	OurCommand = new SqlCommand("Select Top 5 ProductID, ProductName, UnitPrice From Products",OurConnection)
	OurDataAdapter = new SqlDataAdapter(OurCommand)
	OurDataAdapter.Fill(OurDataSet, "Products")
	OurDataGrid.DataSource = OurDataSet.Tables("Products")
	DataBind()
	ProductName1.Text = OurDataSet.Tables("Products").Rows(0).Item("ProductName")
	UnitPrice1.Text = OurDataSet.Tables("Products").Rows(0).Item("UnitPrice")
	ProductName2.Text = OurDataSet.Tables("Products").Rows(1).Item("ProductName")
	UnitPrice2.Text = OurDataSet.Tables("Products").Rows(1).Item("UnitPrice")
	ProductName3.Text = OurDataSet.Tables("Products").Rows(2).Item("ProductName")
	UnitPrice3.Text = OurDataSet.Tables("Products").Rows(2).Item("UnitPrice")
	ProductName4.Text = OurDataSet.Tables("Products").Rows(3).Item("ProductName")
	UnitPrice4.Text = OurDataSet.Tables("Products").Rows(3).Item("UnitPrice")
	ProductName5.Text = OurDataSet.Tables("Products").Rows(4).Item("ProductName")
	UnitPrice5.Text = OurDataSet.Tables("Products").Rows(4).Item("UnitPrice")
End Sub

Sub Update()
	dim OurConnection as SqlConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind")
	dim OurCommand as SqlCommand = new SqlCommand("Select Top 5 ProductID, ProductName, UnitPrice From Products",OurConnection)
	dim OurDataAdapter as SqlDataAdapter = new SqlDataAdapter(OurCommand)
	dim OurDataSet as new DataSet()
	dim OurTable as DataTable
	OurDataAdapter.Fill(OurDataSet, "Products")
	OurDataAdapter.UpdateCommand = new SqlCommand("Update Products Set ProductName = @ProductName, UnitPrice = @UnitPrice Where ProductID = @ProductID", OurConnection)
	OurDataAdapter.UpdateCommand.Parameters.Add("@ProductName", SqlDbType.VarChar, 40, "ProductName")
	OurDataAdapter.UpdateCommand.Parameters.Add("@UnitPrice", SqlDbType.Money, 8, "UnitPrice")
	OurDataAdapter.UpdateCommand.Parameters.Add("@ProductID", SqlDbType.Int, 4, "ProductID")
	OurTable = OurDataSet.Tables("Products")
	OurTable.Rows(0).Item("ProductName") = ProductName1.Text
	OurTable.Rows(0).Item("UnitPrice") = UnitPrice1.Text
	OurTable.Rows(1).Item("ProductName") = ProductName2.Text
	OurTable.Rows(1).Item("UnitPrice") = UnitPrice2.Text
	OurTable.Rows(2).Item("ProductName") = ProductName3.Text
	OurTable.Rows(2).Item("UnitPrice") = UnitPrice3.Text
	OurTable.Rows(3).Item("ProductName") = ProductName4.Text
	OurTable.Rows(3).Item("UnitPrice") = UnitPrice4.Text
	OurTable.Rows(4).Item("ProductName") = ProductName5.Text
	OurTable.Rows(4).Item("UnitPrice") = UnitPrice5.Text
	OurDataAdapter.Update(OurTable)
End Sub
</script>
<html>
<head>
<title>ADO DataAdapter Update() Method</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<ASP:DataGrid id="OurDataGrid"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   Font-Size="12px"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
	AutoGenerateColumns="false"
	runat="server">
	<Columns>
		<asp:BoundColumn 
			HeaderText="Product ID" 
			DataField="ProductID"
			ReadOnly="True" />
		<asp:BoundColumn 
			HeaderText="Product Name" 
			DataField="ProductName" />
		<asp:BoundColumn 
			HeaderText="Unit Price" 
			DataField="UnitPrice" 
			DataFormatString="{0:c}"/>
	</Columns>
</asp:DataGrid>
<table>
<tr>
<td>Product Name</td>
<td>Unit Price</td>
</tr>
<tr>
<td><asp:TextBox id="ProductName1" runat="server" /></td>
<td><asp:TextBox id="UnitPrice1" runat="server" /></td>
</tr>
<tr>
<td><asp:TextBox id="ProductName2" runat="server" /></td>
<td><asp:TextBox id="UnitPrice2" runat="server" /></td>
</tr>
<tr>
<td><asp:TextBox id="ProductName3" runat="server" /></td>
<td><asp:TextBox id="UnitPrice3" runat="server" /></td>
</tr>
<tr>
<td><asp:TextBox id="ProductName4" runat="server" /></td>
<td><asp:TextBox id="UnitPrice4" runat="server" /></td>
</tr>
<tr>
<td><asp:TextBox id="ProductName5" runat="server" /></td>
<td><asp:TextBox id="UnitPrice5" runat="server" /></td>
</tr>
</table>
<asp:Button id="Submit" text="Submit" runat="server" />
</form>
</body>
</html>