<%@ page language="c#" runat="server" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>
<script runat=server>
void Page_Load() {
	if (!IsPostBack) {
		LoadData();
	}
}

void LoadData() {
	OleDbConnection OurConnection;
	OleDbCommand OurCommand;
	OleDbDataAdapter OurDataAdapter;
	DataSet OurDataSet = new DataSet();
	OurConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\\websites\\book\\_database\\northwind.mdb");
	OurConnection.Open();
	OurCommand = new OleDbCommand("Select Top 15 EmployeeID,FirstName,LastName from Employees" ,OurConnection);
	OurDataAdapter = new OleDbDataAdapter(OurCommand);
	OurDataAdapter.Fill(OurDataSet, "Employees");
	OurDataGrid.DataSource=OurDataSet.Tables["Employees"];
	UpdateEmployeeID.DataSource=OurDataSet.Tables["Employees"];
	DeleteEmployeeID.DataSource=OurDataSet.Tables["Employees"];
	DataBind();
}

void UpdateSetup(Object sender, System.EventArgs e) {
	UpdateSelect.Visible=false;
	UpdateTextBoxes.Visible=true;
	String SelectedID = UpdateEmployeeID.SelectedItem.Value.ToString();
	UpdateButton.CommandArgument = SelectedID;
	OleDbConnection OurConnection;
	OurConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\\websites\\book\\_database\\northwind.mdb");
	OurConnection.Open();
	OleDbCommand OurCommand;
	OleDbDataReader OurDataReader2;
	OurCommand = new OleDbCommand("Select FirstName, LastName From Employees Where EmployeeID = " + SelectedID ,OurConnection);
	OurDataReader2 = OurCommand.ExecuteReader();
	OurDataReader2.Read();
	UpdateFirstName.Visible=true;
	UpdateLastName.Visible=true;
	UpdateFirstName.Text = OurDataReader2["FirstName"].ToString();
	UpdateLastName.Text = OurDataReader2["LastName"].ToString();
	OurConnection.Close();
	OurDataReader2.Close();
	LoadData();
}

void UpdateReset(Object sender, System.EventArgs e) {
	UpdateSelect.Visible=true;
	UpdateTextBoxes.Visible=false;
	LoadData();
}

void InsertCommand(Object sender, System.EventArgs e) {
	OleDbConnection OurConnection;
	OurConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\\websites\\book\\_database\\northwind.mdb");
	OleDbCommand OurCommand;
	OurCommand = new OleDbCommand("Insert Into Employees (FirstName, LastName) Values (@FirstName, @LastName)" ,OurConnection);
	OurCommand.Parameters.Add("@FirstName", OleDbType.VarChar, 10).Value = InsertFirstName.Text;
	OurCommand.Parameters.Add("@LastName", OleDbType.VarChar, 20).Value = InsertLastName.Text;
	OurConnection.Open();
	OurCommand.ExecuteNonQuery();
	OurConnection.Close();
	LoadData();
}

void UpdateCommand(Object sender, System.Web.UI.WebControls.CommandEventArgs e) {
	OleDbConnection OurConnection;
	OleDbCommand OurCommand;
	String EmployeeID = e.CommandArgument.ToString();
	OurConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\\websites\\book\\_database\\northwind.mdb");
	OurCommand = new OleDbCommand("Update Employees Set Firstname = @FirstName, LastName = @LastName Where EmployeeID = " + EmployeeID, OurConnection);
	OurCommand.Parameters.Add("@FirstName", OleDbType.VarChar, 10).Value = UpdateFirstName.Text;
	OurCommand.Parameters.Add("@LastName", OleDbType.VarChar, 20).Value = UpdateLastName.Text;
	OurConnection.Open();
	OurCommand.ExecuteNonQuery();
	OurConnection.Close();
	LoadData();
}

void DeleteCommand(Object sender, System.EventArgs e) {
	OleDbConnection OurConnection;
	String SelectedID = DeleteEmployeeID.SelectedItem.Value;
	OleDbCommand OurCommand;
	OurConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=d:\\websites\\book\\_database\\northwind.mdb");
	OurCommand = new OleDbCommand("Delete From Employees Where EmployeeID = " + SelectedID, OurConnection);
	OurConnection.Open();
	OurCommand.ExecuteNonQuery();
	OurConnection.Close();
	LoadData();
}
</script>
<html>
<head>
<title>ADO OleDbCommand -Insert,Update,Delete</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<table border="0" cellpadding="0" cellspacing="20">
<tr><td>
<ASP:DataGrid 
	id="OurDataGrid" 
	EnableViewState="false"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
	runat="server" />
</td><td>
<h4>Insert</h4>
First Name: <asp:TextBox id="InsertFirstName" runat="server" /><br>
Last Name: <asp:TextBox id="InsertLastName" runat="server" />
<asp:button runat="server" OnClick="InsertCommand" text="voidmit" /><br><br>
<hr style="height:1px">
<h4>Update</h4>
<asp:Panel id="UpdateSelect" runat="server" >
EmployeeID:
<asp:DropDownList 
	id="UpdateEmployeeID" 
	DataTextField="EmployeeID"
	DataValueField="EmployeeID"
	runat="server" />
<asp:button runat="server" text="Select" OnClick="UpdateSetup" />
</asp:Panel>
<asp:Panel id="UpdateTextBoxes" Visible="false" runat="server" >
First Name: <asp:TextBox id="UpdateFirstName" runat="server" />
<asp:button 
	id="UpdateButton" 
	onCommand="UpdateCommand"
	runat="server"  
	text="Update" /><br>
Last Name: <asp:TextBox id="UpdateLastName"  runat="server" />
<asp:button id="CancelUpdateButton" runat="server" onClick="UpdateReset" text="Select Other" />
</asp:Panel><br>
<hr style="height:1px">
<h4>Delete</h4>
EmployeeID: 
<asp:DropDownList 
	id="DeleteEmployeeID" 
	DataTextField="EmployeeID"
	DataValueField="EmployeeID"
	runat="server" />
<asp:button runat="server" text="Delete" onClick="DeleteCommand" />
</td></tr>
</table>
</form>
</body>
</html>
