<%@ page language="c#" runat="server" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<script runat=server>
void Page_Load() {
	if (!IsPostBack) {
		SqlConnection OurConnection;
		SqlCommand OurCommand;
		SqlDataReader OurDataReader;
			
		OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind");
		OurCommand = new SqlCommand("ProductTypes" ,OurConnection);
		OurCommand.CommandType = CommandType.StoredProcedure;
		OurConnection.Open();
		OurDataReader = OurCommand.ExecuteReader();
		OurDropDown.DataSource = OurDataReader;
		OurDropDown.DataTextField="CategoryName";
		OurDropDown.DataValueField="CategoryID";
		OurDropDown.DataBind();
		OurDataReader.Close();
		OurConnection.Close();
	}	
	else {
		SqlConnection OurConnection;
		SqlCommand OurCommand;
		SqlDataAdapter OurDataAdapter;
		DataSet OurDataSet = new DataSet();
	
		OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind");
		OurCommand = new SqlCommand("ProductsByType" ,OurConnection);
		OurCommand.CommandType = CommandType.StoredProcedure;
		OurCommand.Parameters.Add("@CategoryID", SqlDbType.Int, 4).Value = OurDropDown.SelectedItem.Value;
		OurCommand.Parameters.Add("@AveragePrice", SqlDbType.Float).Direction = ParameterDirection.Output;
		OurDataAdapter = new SqlDataAdapter(OurCommand);
		OurDataAdapter.Fill(OurDataSet, "Products");
		OurDataGrid.DataSource = OurDataSet.Tables["Products"];
		DataBind();
		Double UnitAve = (Double)OurCommand.Parameters["@AveragePrice"].Value;
		OurLabel.Text = "Average Unit Price: " + UnitAve.ToString("C");
		}
}

</script>
<html>
<head>
<title>ADO Store Procedure - Select</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<asp:DropDownList id="OurDropDown" runat="server" />
<asp:Button id="OurButton" Text="Get Products" runat="server" /><br><br>
<ASP:DataGrid 
	id="OurDataGrid" 
	EnableViewState="false"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
   AutoGenerateColumns="False"
	runat="server">
	<Columns>
		<asp:BoundColumn 
			HeaderText="Product Name" 
			DataField="ProductName" />
		<asp:BoundColumn 
			HeaderText="Unit Price" 
			DataField="UnitPrice"
			DataFormatString="{0:c}"/>
	</Columns>
</asp:DataGrid><br>
<asp:Label id="OurLabel"  Font-Name="Verdana" runat="server" />
</form>
</body>
</html>