<%@ page language="vb" runat="server" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<script runat=server>
Sub Page_Load()
	If (Not IsPostBack) then
		LoadData()
	End If
End Sub

Sub LoadData()
	dim OurConnection as SqlConnection
	dim OurCommand as SqlCommand
	dim OurDataAdapter as SQLDataAdapter
	dim OurDataSet as New DataSet()	
	
	OurConnection = New SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind")
	OurConnection.Open()
	OurCommand = New SqlCommand("Select Top 15 EmployeeID,FirstName,LastName from Employees" ,OurConnection)
	OurDataAdapter = New SQLDataAdapter(OurCommand)
	OurDataAdapter.Fill(OurDataSet, "Employees")
	OurDataGrid.DataSource=OurDataSet.Tables("Employees")
	UpdateEmployeeID.DataSource=OurDataSet.Tables("Employees")
	DeleteEmployeeID.DataSource=OurDataSet.Tables("Employees")
	DataBind()	
	
		
End Sub

Sub UpdateSetup(sender As Object, e As System.EventArgs)

	UpdateSelect.Visible="False"
	UpdateTextBoxes.Visible="True"
	dim SelectedID as String = UpdateEmployeeID.SelectedItem.Value
	UpdateButton.CommandArgument = SelectedID
	dim OurConnection as SqlConnection
	OurConnection = New SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind")
	OurConnection.Open()
	dim OurCommand as SqlCommand
	dim OurDataReader2 as SqlDataReader
	OurCommand = New SqlCommand("Select FirstName, LastName From Employees Where EmployeeID = " + SelectedID ,OurConnection)
	OurDataReader2 = OurCommand.ExecuteReader()
	OurDataReader2.Read()
	UpdateFirstName.Visible="True"
	UpdateLastName.Visible="True"
	UpdateFirstName.Text = OurDataReader2("FirstName")
	UpdateLastName.Text = OurDataReader2("LastName")
	OurConnection.Close()
	OurDataReader2.Close()
	
	LoadData()
End Sub

Sub UpdateReset(sender As Object, e As System.EventArgs)
	UpdateSelect.Visible="True"
	UpdateTextBoxes.Visible="False"
	LoadData()
End Sub

Sub InsertCommand(sender As Object, e As System.EventArgs)
	dim OurConnection as SqlConnection
	OurConnection = New SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind")
	dim OurCommand as SqlCommand
	OurCommand = New SqlCommand("Insert Into Employees (FirstName, LastName) Values (@FirstName, @LastName)" ,OurConnection)
	OurCommand.Parameters.Add("@FirstName", SqlDbType.Varchar, 10).Value = InsertFirstName.Text
	OurCommand.Parameters.Add("@LastName", SqlDbType.Varchar, 20).Value = InsertLastName.Text
	OurConnection.Open()
	OurCommand.ExecuteNonQuery()
	OurConnection.Close()
	
	LoadData()
End Sub

Sub UpdateCommand(sender As Object, e As System.Web.UI.WebControls.CommandEventArgs)
	dim OurConnection as SqlConnection
	dim OurCommand as SqlCommand
	dim EmployeeID as String = e.CommandArgument
	OurConnection = New SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind")
	OurCommand = New SqlCommand("Update Employees Set Firstname = @FirstName, LastName = @LastName Where EmployeeID = " + EmployeeID, OurConnection)
	OurCommand.Parameters.Add("@FirstName", SqlDbType.Varchar, 10).Value = UpdateFirstName.Text
	OurCommand.Parameters.Add("@LastName", SqlDbType.Varchar, 20).Value = UpdateLastName.Text
	OurConnection.Open()
	OurCommand.ExecuteNonQuery()
	OurConnection.Close()
	
	LoadData()
End Sub

Sub DeleteCommand(sender As Object, e As System.EventArgs)
	dim OurConnection as SqlConnection
	dim SelectedID as String = DeleteEmployeeID.SelectedItem.Value
	dim OurCommand as SqlCommand
	OurConnection = New SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind")
	OurCommand = New SqlCommand("Delete Employees Where EmployeeID = " + SelectedID, OurConnection)
	OurConnection.Open()
	OurCommand.ExecuteNonQuery()
	OurConnection.Close()
	
	LoadData()
End Sub




</script>
<html>
<head>
<title>ADO SQLCommand -Insert,Update,Delete</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<table border="0" cellpadding="0" cellspacing="20">
<tr><td>
<ASP:DataGrid 
	id="OurDataGrid" 
	EnableViewState="false"
	BorderWidth="1"
	BorderColor="#000000"
   CellPadding="3"
   CellSpacing="0"
   Font-Name="Verdana"
   HeaderStyle-BackColor="#AAAAAA"
   ItemStyle-BackColor="#EEEEEE"
	runat="server" />
</td><td>
<h4>Insert</h4>
First Name: <asp:TextBox id="InsertFirstName" runat="server" /><br>
Last Name: <asp:TextBox id="InsertLastName" runat="server" />
<asp:button runat="server" OnClick="InsertCommand" text="Submit" /><br><br>
<hr style="height:1px">
<h4>Update</h4>
<asp:Panel id="UpdateSelect" runat="server" >
EmployeeID:
<asp:DropDownList 
	id="UpdateEmployeeID" 
	DataTextField="EmployeeID"
	DataValueField="EmployeeID"
	runat="server" />
<asp:button runat="server" text="Select" OnClick="UpdateSetup" />
</asp:Panel>
<asp:Panel id="UpdateTextBoxes" Visible="false" runat="server" >
First Name: <asp:TextBox id="UpdateFirstName" runat="server" />
<asp:button 
	id="UpdateButton" 
	onCommand="UpdateCommand"
	runat="server"  
	text="Update" /><br>
Last Name: <asp:TextBox id="UpdateLastName"  runat="server" />
<asp:button id="CancelUpdateButton" runat="server" onClick="UpdateReset" text="Select Other" />
</asp:Panel><br>
<hr style="height:1px">
<h4>Delete</h4>
EmployeeID: 
<asp:DropDownList 
	id="DeleteEmployeeID" 
	DataTextField="EmployeeID"
	DataValueField="EmployeeID"
	runat="server" />
<asp:button runat="server" text="Delete" onClick="DeleteCommand" />
</td></tr>
</table>
</form>
</body>
</html>
