<%@ page language="c#" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.SqlClient" %>
<script runat=server>

void Authorize(Object Sender, EventArgs e){
	string vUsername = Username.Text;
	string vPassword = Password.Text;
	SqlConnection OurConnection;
	SqlCommand OurCommand;
	SqlDataReader OurDataReader;	
			
	OurConnection = new SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind");
	OurCommand = new SqlCommand("spLogin" ,OurConnection);
	OurCommand.CommandType = CommandType.StoredProcedure;
	OurCommand.Parameters.Add("@Username", SqlDbType.VarChar, 50).Value = vUsername;
	OurCommand.Parameters.Add("@Password", SqlDbType.VarChar, 50).Value = vPassword;
	OurCommand.Parameters.Add("@Login_ID", SqlDbType.Int).Direction = ParameterDirection.Output;	
	OurCommand.Parameters.Add("@Roles", SqlDbType.VarChar, 255).Direction = ParameterDirection.Output;	
	OurConnection.Open();
	OurCommand.ExecuteNonQuery();	
	int Login_ID =  (int)OurCommand.Parameters["@Login_ID"].Value;
	string Roles = (string)OurCommand.Parameters["@Roles"].Value;
	OurConnection.Close();

	if (Login_ID > 0){			
		FormsAuthenticationTicket OurTicket;
		DateTime IssueDate = DateTime.Now;
		DateTime ExpireDate = DateTime.Now.AddDays(14);
		OurTicket = new FormsAuthenticationTicket(1,vUsername,IssueDate,ExpireDate,true,Roles);
		HttpCookie cookie = new HttpCookie(FormsAuthentication.FormsCookieName);
		cookie.Value = FormsAuthentication.Encrypt(OurTicket);
		Response.Cookies.Add (cookie);
		Response.Redirect (FormsAuthentication.GetRedirectUrl (Username.Text, true));		
	}else{      
		OurLabel.Text = "This login doesn't exist";
	}
}

</script>

<html>
<head>
<title>Login</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<h3>Login Page</h3>
<asp:textbox id="Username" runat="server" /> Username<br>
<asp:textbox id="Password" runat="server" /> 
Password <br><br>
<asp:button text="Login" onClick="Authorize" runat="server" /><br><br>
<asp:Label id="OurLabel" EnableViewState="False" runat="server" />
</form>
</body>
</html>