<%@ page language="vb" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Data.SqlClient" %>
<script runat=server>


Sub Authorize(Sender As [Object], e As EventArgs)
   Dim vUsername As String = Username.Text
   Dim vPassword As String = Password.Text
   Dim OurConnection As SqlConnection
   Dim OurCommand As SqlCommand
   Dim OurDataReader As SqlDataReader
   
   OurConnection = New SqlConnection("Server=server;uid=newriders;pwd=password;database=Northwind")
   OurCommand = New SqlCommand("spLogin", OurConnection)
   OurCommand.CommandType = CommandType.StoredProcedure
   OurCommand.Parameters.Add("@Username", SqlDbType.VarChar, 50).Value = vUsername
   OurCommand.Parameters.Add("@Password", SqlDbType.VarChar, 50).Value = vPassword
   OurCommand.Parameters.Add("@Login_ID", SqlDbType.Int).Direction = ParameterDirection.Output
   OurCommand.Parameters.Add("@Roles", SqlDbType.VarChar, 255).Direction = ParameterDirection.Output
   OurConnection.Open()
   OurCommand.ExecuteNonQuery()
   Dim Login_ID As Integer = CInt(OurCommand.Parameters("@Login_ID").Value)
   Dim Roles As String = CStr(OurCommand.Parameters("@Roles").Value)
   OurConnection.Close()
   
   If Login_ID > 0 Then
      Dim OurTicket As FormsAuthenticationTicket
      Dim IssueDate As DateTime = DateTime.Now
      Dim ExpireDate As DateTime = DateTime.Now.AddDays(14)
      OurTicket = New FormsAuthenticationTicket(1, vUsername, IssueDate, ExpireDate, True, Roles)
      Dim cookie As New HttpCookie(FormsAuthentication.FormsCookieName)
      cookie.Value = FormsAuthentication.Encrypt(OurTicket)
      Response.Cookies.Add(cookie)
      Response.Redirect(FormsAuthentication.GetRedirectUrl(Username.Text, True))
   Else
      OurLabel.Text = "This login doesn't exist"
   End If
End Sub 'Authorize

</script>

<html>
<head>
<title>Login</title>
</head>
<body bgcolor="#FFFFFF" text="#000000">
<form runat="server">
<h3>Login Page</h3>
<asp:textbox id="Username" runat="server" /> Username<br>
<asp:textbox id="Password" runat="server" /> 
Password <br><br>
<asp:button text="Login" onClick="Authorize" runat="server" /><br><br>
<asp:Label id="OurLabel" EnableViewState="False" runat="server" />
</form>
</body>
</html>