<xsl:stylesheet version="1.0" xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
<xsl:template match="/">
<style>
.table-heading {background-color:#CCCCCC;font-family : Verdana,sans-serif;font-size:12px;}
.table-row{font-family : Verdana,sans-serif;font-size:12px;}
</style>
<table border="1" cellpadding="3" cellspacing="0">
<tr class="table-heading">
<td>ProductID</td>
<td>Product Name</td>
<td>Supplier</td>
<td>Category</td>
<td>Unit Price</td>
<td>Units In Stock</td>
</tr>
<xsl:for-each select='OurDataSet/Products'>
<tr class="table-row">
<td><xsl:value-of select='ProductID'/></td>
<td><xsl:value-of select='ProductName'/></td>
<td><xsl:value-of select='Supplier'/></td>
<td><xsl:value-of select='CategoryName'/></td>
<td><xsl:value-of select='UnitPrice'/></td>
<td><xsl:value-of select='UnitsInStock'/></td>
</tr>
</xsl:for-each>
</table>
<br /><br />
<table border="1" cellpadding="3" cellspacing="0">
<tr class="table-heading">
<td>Title</td>
<td>Title Of Courtesy</td>
<td>First Name</td>
<td>Last Name</td>
<td>Address</td>
<td>City</td>
</tr>
<xsl:for-each select='OurDataSet/Employees'>
<tr class="table-row">
<td><xsl:value-of select='Title'/></td>
<td><xsl:value-of select='TitleOfCourtesy'/></td>
<td><xsl:value-of select='FirstName'/></td>
<td><xsl:value-of select='LastName'/></td>
<td><xsl:value-of select='Address'/></td>
<td><xsl:value-of select='City'/></td>
</tr>
</xsl:for-each>
</table>
</xsl:template>
</xsl:stylesheet>