<%@ page language="c#" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Xml"%>
<%@ Import Namespace="System.Xml.Xsl"%>
<script runat=server>
void Page_Load() {
	XmlDocument OurXmlDocument = new XmlDocument();
	XslTransform OurXslTransform = new XslTransform();
	OurXmlDocument.Load(Server.MapPath("products.xml"));
	OurXslTransform.Load(Server.MapPath("products.xsl"));
	if (IsPostBack) {
		
		XmlNode OurXmlNode = OurXmlDocument.DocumentElement;
		XmlElement xmlProduct = OurXmlDocument.CreateElement("Product");
		XmlElement xmlProductID = OurXmlDocument.CreateElement("ProductID");
		XmlElement xmlProductName = OurXmlDocument.CreateElement("ProductName");
		XmlElement xmlSupplier = OurXmlDocument.CreateElement("Supplier");
		XmlElement xmlCategoryName = OurXmlDocument.CreateElement("CategoryName");
		XmlElement xmlUnitPrice = OurXmlDocument.CreateElement("UnitPrice");
		XmlElement xmlUnitsInStock = OurXmlDocument.CreateElement("UnitsInStock");
		xmlProductID.InnerXml = ProductID.Text;
		xmlProductName.InnerXml = ProductName.Text;
		xmlSupplier.InnerXml = Supplier.Text;
		xmlCategoryName.InnerXml = Category.Text;
		xmlUnitPrice.InnerXml = UnitPrice.Text;
		xmlUnitsInStock.InnerXml = UnitsInStock.Text;
		
		xmlProduct.AppendChild(xmlProductID);
		xmlProduct.AppendChild(xmlProductName);
		xmlProduct.AppendChild(xmlSupplier);
		xmlProduct.AppendChild(xmlCategoryName);
		xmlProduct.AppendChild(xmlUnitPrice);
		xmlProduct.AppendChild(xmlUnitsInStock);
		OurXmlNode.AppendChild(xmlProduct);
		OurXmlDocument.Save(Server.MapPath("products.xml"));
	}
	OurXml.Transform = OurXslTransform;
	OurXml.Document = OurXmlDocument;
}

</script>

<html>
<body>
<asp:xml id="OurXml" runat="server" EnableViewState="false"/>
<br>
<form runat="server">
<table>
<tr><td>ProductID</td>
<td><asp:TextBox id="ProductID" runat="server"/></td></tr>
<tr><td>Product Name</td>
<td><asp:TextBox id="ProductName" runat="server"/></td></tr>
<tr><td>Supplier</td>
<td><asp:TextBox id="Supplier" runat="server"/></td></tr>
<tr><td>Category</td>
<td><asp:TextBox id="Category" runat="server"/></td></tr>
<tr><td>Unit Price</td>
<td><asp:TextBox id="UnitPrice" runat="server"/></td></tr>
<tr><td>Units In Stock</td>
<td><asp:TextBox id="UnitsInStock" runat="server"/></td></tr>
</table>
<asp:Button id="Submit" text="Submit" runat="server"/>
</form>
</body>
</html>