<%@ page language="vb" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Xml"%>
<%@ Import Namespace="System.Xml.Xsl"%>
<script runat=server>
Private Sub Page_Load()
	Dim OurXmlDocument As XmlDocument = New XmlDocument() 
	Dim OurXslTransform As XslTransform = New XslTransform() 
	OurXmlDocument.Load(Server.MapPath("products.xml"))
	OurXslTransform.Load(Server.MapPath("products.xsl"))
	If IsPostBack Then
 
		Dim OurXmlNode As XmlNode = OurXmlDocument.DocumentElement 
		Dim xmlProduct As XmlElement = OurXmlDocument.CreateElement("Product") 
		Dim xmlProductID As XmlElement = OurXmlDocument.CreateElement("ProductID") 
		Dim xmlProductName As XmlElement = OurXmlDocument.CreateElement("ProductName") 
		Dim xmlSupplier As XmlElement = OurXmlDocument.CreateElement("Supplier") 
		Dim xmlCategoryName As XmlElement = OurXmlDocument.CreateElement("CategoryName") 
		Dim xmlUnitPrice As XmlElement = OurXmlDocument.CreateElement("UnitPrice") 
		Dim xmlUnitsInStock As XmlElement = OurXmlDocument.CreateElement("UnitsInStock") 
		xmlProductID.InnerXml = ProductID.Text
		xmlProductName.InnerXml = ProductName.Text
		xmlSupplier.InnerXml = Supplier.Text
		xmlCategoryName.InnerXml = Category.Text
		xmlUnitPrice.InnerXml = UnitPrice.Text
		xmlUnitsInStock.InnerXml = UnitsInStock.Text
 
		xmlProduct.AppendChild(xmlProductID)
		xmlProduct.AppendChild(xmlProductName)
		xmlProduct.AppendChild(xmlSupplier)
		xmlProduct.AppendChild(xmlCategoryName)
		xmlProduct.AppendChild(xmlUnitPrice)
		xmlProduct.AppendChild(xmlUnitsInStock)
		OurXmlNode.AppendChild(xmlProduct)
		OurXmlDocument.Save(Server.MapPath("products.xml"))
	End If
	OurXml.Transform = OurXslTransform
	OurXml.Document = OurXmlDocument
End Sub
 
</script>
 
<html>
<body>
<asp:xml id="OurXml" runat="server" EnableViewState="false"/>
<br>
<form runat="server">
<table>
<tr><td>ProductID</td>
<td><asp:TextBox id="ProductID" runat="server"/></td></tr>
<tr><td>Product Name</td>
<td><asp:TextBox id="ProductName" runat="server"/></td></tr>
<tr><td>Supplier</td>
<td><asp:TextBox id="Supplier" runat="server"/></td></tr>
<tr><td>Category</td>
<td><asp:TextBox id="Category" runat="server"/></td></tr>
<tr><td>Unit Price</td>
<td><asp:TextBox id="UnitPrice" runat="server"/></td></tr>
<tr><td>Units In Stock</td>
<td><asp:TextBox id="UnitsInStock" runat="server"/></td></tr>
</table>
<asp:Button id="Submit" text="Submit" runat="server"/>
</form>
</body>
</html>