<%@ page language="vb" runat="server"%>
<%@ Import Namespace="System.Data"%>
<%@ Import Namespace="System.Xml"%>
<%@ Import Namespace="System.Xml.Xsl"%>
<script runat=server>
Private Sub Page_Load()
	Dim OurXmlDocument As XmlDocument = New XmlDocument() 
	Dim OurXslTransform As XslTransform = New XslTransform() 
	OurXmlDocument.Load(Server.MapPath("products.xml"))
	OurXslTransform.Load(Server.MapPath("products.xsl"))
	OurXml.Transform = OurXslTransform
	If IsPostBack Then
		Dim OurDataSet As DataSet = New DataSet() 
		Dim OurXmlReader As XmlNodeReader = New XmlNodeReader(OurXmlDocument) 
		OurDataSet.ReadXml(OurXmlReader)
		Dim OurDataRow As DataRow = OurDataSet.Tables("Product").NewRow() 
		OurDataRow("ProductID") = ProductID.Text
		OurDataRow("ProductName") = ProductName.Text
		OurDataRow("Supplier") = Supplier.Text
		OurDataRow("CategoryName") = Category.Text
		OurDataRow("UnitPrice") = UnitPrice.Text
		OurDataRow("UnitsInStock") = UnitsInStock.Text
		OurDataSet.Tables("Product").Rows.Add(OurDataRow)
		OurDataSet.AcceptChanges()
		OurDataSet.WriteXml(Server.MapPath("products.xml"))
		Dim OurXmlDataDocument As XmlDataDocument = New XmlDataDocument(OurDataSet) 
		OurXml.Document = OurXmlDataDocument
	Else 
		OurXml.Document = OurXmlDocument
	End If
End Sub
 
</script>
 
<html>
<body>
<asp:xml id="OurXml" runat="server" EnableViewState="false"/>
<br>
<form runat="server">
<table>
<tr><td>ProductID</td>
<td><asp:TextBox id="ProductID" runat="server"/></td></tr>
<tr><td>Product Name</td>
<td><asp:TextBox id="ProductName" runat="server"/></td></tr>
<tr><td>Supplier</td>
<td><asp:TextBox id="Supplier" runat="server"/></td></tr>
<tr><td>Category</td>
<td><asp:TextBox id="Category" runat="server"/></td></tr>
<tr><td>Unit Price</td>
<td><asp:TextBox id="UnitPrice" runat="server"/></td></tr>
<tr><td>Units In Stock</td>
<td><asp:TextBox id="UnitsInStock" runat="server"/></td></tr>
</table>
<asp:Button id="Submit" text="Submit" runat="server"/>
</form>
</body>
</html>