<%@ Import Namespace="System.Security.Principal"%>
<script language="vb" runat=server>

Sub Application_OnStart()

	Application("SessionNum") = 0
End Sub

Sub Session_Start()
	dim NumSessions as Integer = Application("SessionNum")
	Application("SessionNum") = NumSessions + 1
End Sub
Sub Session_End()
	dim NumSessions as Integer = Application("SessionNum")
	Application("SessionNum") = NumSessions - 1
End Sub

Sub Application_AuthenticateRequest(ByVal sender As Object, ByVal e As EventArgs)
	If Request.IsAuthenticated = True Then
				Dim OurTicket As FormsAuthenticationTicket
				OurTicket = FormsAuthentication.Decrypt(Request.Cookies(FormsAuthentication.FormsCookieName).Value)
            Dim authName As String = User.Identity.Name
            Dim arrRoles() As String = split(OurTicket.UserData,",")
            Dim objIdentity As GenericIdentity = New GenericIdentity(authName)
				Context.User = New GenericPrincipal(objIdentity, arrRoles)
	End If
End Sub
</script>